%define beta rc1
%define	major	1
%define	libname	 %mklibname %name %major
%define develname %mklibname -d %name
%define staticname %mklibname -s -d %name
%define baddevname %mklibname -d %name 1
%define badstaticname %mklibname -s -d %name 1
%define rel	7

Name:		speex
Summary:	An open-source, patent-free speech codec
Version:	1.2
Release:	%mkrel -c  %{beta} %{rel}
License:	BSD
Group:		Sound/Utilities
Source0:	http://downloads.us.xiph.org/releases/speex/%{name}-%{version}%beta.tar.gz
Patch1:		speex-1.1.6-fix-pkgconfig-path.patch
Patch2:		speex-1.2rc1-CVE-2008-1686.patch
Patch3:		speex-1.2rc1-automake-1.13.patch
URL:		http://www.speex.org/
BuildRequires:	libogg-devel
BuildRequires:	chrpath
BuildRequires:	autoconf2.5

%description
Speex is a patent-free audio codec designed especially for voice (unlike 
Vorbis which targets general audio) signals and providing good narrow-band 
and wide-band quality. This project aims to be complementary to the Vorbis
codec.

%package -n	%{libname}
Summary:	Shared library of the Speex codec
Group:		System/Libraries

%description -n	%{libname}
Speex is a patent-free audio codec designed especially for voice (unlike 
Vorbis which targets general audio) signals and providing good narrow-band 
and wide-band quality. This project aims to be complementary to the Vorbis
codec.

This package contains the shared library required for running
applications based on Speex.

%package -n	%develname
Summary:	Speex development files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{baddevname} < %{version}-%{release}

%description -n	%develname
Speex development files.

%package -n	%staticname
Summary:	Speex static library 
Group:		Development/C
Requires:	%develname = %{version}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}
Obsoletes:	%{badstaticname} < %{version}-%{release}

%description -n %staticname
Speex static library for developing applications based on Speex.

%prep
%setup -q -n %name-%version%beta
%patch1 -p1 -b .pkgconfig
%patch2 -p1 -b .cve-2008-1686
%patch3 -p1 -b .automake-1_13

%build
autoreconf -fi
export CFLAGS='%optflags -DRELEASE'
%configure2_5x --with-ogg-libraries=%{_libdir}
make

%install
%{makeinstall_std}
chrpath -d %buildroot%_bindir/*
rm -f %{buildroot}%{_datadir}/doc/*/manual.pdf

%files
%defattr(644,root,root,755)
%doc COPYING AUTHORS ChangeLog NEWS README
%{_mandir}/man1/speexenc.1*
%{_mandir}/man1/speexdec.1*
%attr(755,root,root) %{_bindir}/speex*

%files -n %{libname}
%defattr(755,root,root)
%{_libdir}/libspeex.so.%{major}*
%{_libdir}/libspeexdsp.so.%{major}*

%files -n %develname
%defattr(644,root,root,755)
%doc doc/manual.pdf
%{_libdir}/libspeex*.la
%{_libdir}/libspeex*.so
%{_includedir}/speex
%{_libdir}/pkgconfig/speex.pc
%{_libdir}/pkgconfig/speexdsp.pc
%{_datadir}/aclocal/speex.m4

%files -n %staticname
%defattr(644,root,root,755)
%{_libdir}/libspeex*.a






%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.2-0.rc1.7.mga3
+ Revision: 382516
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 1.2-0.rc1.6.mga3
+ Revision: 339775
- patch3: fix build with automake 1.13

* Wed Dec 12 2012 barjac <barjac> 1.2-0.rc1.5.mga3
+ Revision: 329980
- change group to new policy
- spec clean

* Fri Jan 14 2011 mikala <mikala> 1.2-0.rc1.4.mga2
+ Revision: 16744
- Bump release

  + supp <supp>
    - fix libogg dependency
    - remove obsolete macros
    - imported package speex

